nxt.http.callers

## Class EvaluateExpressionCall

- java.lang.Object
- - nxt.http.APICall.Builder<EvaluateExpressionCall>
  - - nxt.http.callers.EvaluateExpressionCall

-     public class EvaluateExpressionCall
      extends APICall.Builder<EvaluateExpressionCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EvaluateExpressionCall` | `checkOptimality(java.lang.String checkOptimality)`
    `static EvaluateExpressionCall` | `create()`
    `EvaluateExpressionCall` | `evaluate(java.lang.String evaluate)`
    `EvaluateExpressionCall` | `expression(java.lang.String expression)`
    `EvaluateExpressionCall` | `values(java.lang.String... values)`
    `EvaluateExpressionCall` | `vars(java.lang.String... vars)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static EvaluateExpressionCall create()

    - #### expression

          public EvaluateExpressionCall expression(java.lang.String expression)

    - #### values

          public EvaluateExpressionCall values(java.lang.String... values)

    - #### vars

          public EvaluateExpressionCall vars(java.lang.String... vars)

    - #### evaluate

          public EvaluateExpressionCall evaluate(java.lang.String evaluate)

    - #### checkOptimality

          public EvaluateExpressionCall checkOptimality(java.lang.String checkOptimality)